#include <dos.h>
#include <conio.h>
#include <stdlib.h>
main()
{
 unsigned char curcolor;
 textmode(C80);
 directvideo=-1;
 window(1,1,80,25);
 while(!kbhit())
 {
  for(curcolor=0;curcolor<16;curcolor++)
  {
   textbackground(curcolor);
   textcolor(curcolor);
   clrscr();
   sound((random(512)*3)+800);
   delay(1500);
  }
 }
 textbackground(BLACK);
 textcolor(LIGHTGRAY);
 clrscr();
 nosound();
}
